<script lang="ts">
// 声明额外的选项
export default {
  name: "Add"
};
</script>
<script setup lang="ts">
import { inject, ref } from "vue";
import { useRenderIcon } from "@/components/ReIcon/src/hooks";
import { ElMessage, ElMessageBox } from "element-plus";
import { http } from "@/utils/http";
// 获取当前板块接口列表
import Upload from "@iconify-icons/ri/upload-2-fill";
import Close from "@iconify-icons/ri/close-fill";
// 获取URLLIST
import { getGroupUrl } from "@/utils/getUrl/getUrl";

const props = defineProps<{
  submit: {
    type: Function;
    default: () => {};
  };
  addVisible: {
    type: Boolean;
    default: false;
  };
  width: {
    type: Number;
    default: 50;
  };
}>();
// 表单数据
let UpdateForm = ref({
  terminalKind: "", //终端类型
  versionNum: "", //版本号
  title: "", //标题
  info: "", //更新信息
  confirmText: "", //确定按钮文字
  cancelText: "", //取消按钮文字
  downloadUrl: "", //更新地址

});
// 终端类型选项数据
const terminalKindOptionList = [
  { Id: 'ios', label: 'ios' },
  { Id: 'android', label: 'android' },
]

// 选项卡参数(默认值为列表某项的id)
const activeId = ref('1')
// 提交函数
const submit = async () => {
  const UrlList = await getGroupUrl(['kxsConfigServer']);
  const { status, msg }: any = await http.Request({ method: UrlList.kxsConfigServer.appVersionadd.method, url: UrlList.kxsConfigServer.appVersionadd.url, params: UpdateForm.value});
  if (status === 1) {
    ElMessage({
      message: "新增成功",
      type: "success"
    });
    UpdateForm.value = {
      terminalKind: "", //终端类型
      versionNum: "", //版本号
      title: "", //标题
      info: "", //更新信息
      confirmText: "", //确定按钮文字
      cancelText: "", //取消按钮文字
      downloadUrl: "", //更新地址

    };
    closeVisible();
  } else {
    ElMessageBox.alert(msg, "提示", {
      confirmButtonText: "关闭",
      type: "warning"
    });
  };
};
const closeFn: any = inject('closeAddVisible');
// 关闭弹窗回调函数
const closeVisible = () => {
  UpdateForm.value = {
    terminalKind: "", //终端类型
    versionNum: "", //版本号
    title: "", //标题
    info: "", //更新信息
    confirmText: "", //确定按钮文字
    cancelText: "", //取消按钮文字
    downloadUrl: "", //更新地址

  };
  closeFn();
};
</script>

<template lang="pug">
.main
  el-dialog(v-model='props.addVisible' width="50%" title="新增" @close="closeVisible()")
    el-form(:model='UpdateForm' label-position="right" label-width="100px")
      el-form-item(label="终端类型", prop="terminalKind")
        el-select(
          v-model="UpdateForm.terminalKind",
          placeholder="请选择终端类型",
          clearable,
          class="!w-[230px]"
        )
          el-option(:label="item.label", :value="item.Id" v-for="(item,index) in terminalKindOptionList")
      el-form-item(label='版本号' prop="versionNum")
        el-input(v-model='UpdateForm.versionNum' autocomplete='off' class="!w-[230px]"
          placeholder="请输入版本号")
      el-form-item(label='标题' prop="title")
        el-input(v-model='UpdateForm.title' autocomplete='off' class="!w-[230px]"
          placeholder="请输入标题")
      el-form-item(label='确定按钮文字' prop="confirmText")
        el-input(v-model='UpdateForm.confirmText' autocomplete='off' class="!w-[230px]"
          placeholder="请输入确定按钮文字")
      el-form-item(label='取消按钮文字' prop="cancelText")
        el-input(v-model='UpdateForm.cancelText' autocomplete='off' class="!w-[230px]"
          placeholder="请输入取消按钮文字")
      el-form-item(label='更新地址' prop="downloadUrl")
        el-input(v-model='UpdateForm.downloadUrl' autocomplete='off' class="!w-[230px]"
          placeholder="请输入更新地址")
    el-tabs(v-model="activeId" class="demo-tabs" @tab-click="handleClick")

    el-button(
      :icon="useRenderIcon(Close)",
      :loading="loading",
      @click="closeVisible()"
    ) 关闭
    el-button(
      type="primary",
      :icon="useRenderIcon(Upload)",
      :loading="loading",
      @click="submit"
    ) 确认提交
</template>

<style scoped lang="scss">
:deep(.el-dropdown-menu__item i) {
  margin: 0;
}

:deep(.el-form-item__label) {
  font-weight: 700;
}

:deep(.el-pagination) {
  flex-flow: wrap;
}

:deep(.is-draggable) {
  max-height: 80vh;
  overflow: auto;
}

:deep(.el-dialog__header) {
  position: sticky;
  top: 0;
  z-index: 2;
  background: #fff;
}

.collapsedom {
  padding: 0 20px;
  background-color: #fff;
}

.ovh-x {
  height: 40vh;
  overflow-y: auto;
}

:deep(.el-descriptions__header) {
  margin: 16px 0 !important;
}
</style>
